## auctex 11.87

=== debian/changelog ===
auctex (11.87-3+deb8u1) testing-proposed-updates; urgency=medium

  * Non-maintainer upload.
  * Use interest-nowait triggers for files in /usr/share (closes: #772873).

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 06 Jan 2015 19:52:46 +0000

auctex (11.87-3) testing; urgency=medium

  * [59fd7bc] Drop emacs23 dependencies, keep emacs24 to the front.
    Thanks to Lucas Nussbaum (Closes: #768724)

 -- Davide G. M. Salvetti <salve@debian.org>  Sun, 09 Nov 2014 14:20:48 +0100

auctex (11.87-2) unstable; urgency=medium

  * [d6ee432] debian/copyright: Update
  * [7544d1b] debian/control: Add VCS fields.
    Thanks to Thomas Koch (Closes: #694801)
  * [0f805ef] debian/update-auctex-elisp.8: Fix license name misspelling.
    Thanks to Axel Beckert (Closes: #714949)
  * [8e8c77b] Documentation: fix texdoc compatibility.
    Thanks to Norbert Preining
  * [137c142] Build with "makeinfo --html" instead of "texi2html"
    Thanks to Norbert Preining
  * [4c771ca] Upgrade Standards-Version to 3.9.6.
    Thanks to Norbert Preining
  * [adeaf4a] debian/po/ja.po: Update.
    Thanks to Victory (Closes: #712918)
  * [5acdaba] Update Debian Emacs policy support to emacsen-common 2.0.8

 -- Davide G. M. Salvetti <salve@debian.org>  Mon, 13 Oct 2014 15:56:19 +0200

auctex (11.87-1) unstable; urgency=low

  * [2d85583] Imported Upstream version 11.87
  * [f7cb967] debian/patches: Synchronize with new upstream release
  * [8ff9324] debian/copyright: Delete reference to tex-fptex.el
  * [c14fde9] debian/auctex.NEWS: Add latest release notes
  * [fd38652] debian/auctex.postinst (triggered): Fix trigger iteration.
    Thanks to Thomas Koch (Closes: 694800)

 -- Davide G. M. Salvetti <salve@debian.org>  Sun, 02 Dec 2012 18:43:40 +0100

auctex (11.86-12) unstable; urgency=low

  * [7d23341] Add patch: Fix typo in the reference card.
    Thanks to Sébastien Villemot (Closes: #668357)
  * [fdc6507] Stop removing old empty site-start.d directories.
    Thanks to Sven Joachim (Closes: #673228)
  * [c2239da] Fix dpkg-maintscript-helper calls.
    Thanks to Josh Triplett (Closes: #669948)
  * [ccb8a09] Add emacs24 GNU Emacs flavor support.
    Thanks to Svante Signell, Sébastien Villemot (Closes: #682720, #679712)
  * [f903463] debian/copyright: Switch to machine readable format
  * [dad1eb6] Update Standards-Version to 3.9.4

 -- Davide G. M. Salvetti <salve@debian.org>  Wed, 28 Nov 2012 22:22:51 +0100

auctex (11.86-11) unstable; urgency=medium

  * [2ff9458] Fix emacs-snapshot support.
    Thanks to Luca Capello (Closes: #657761)
  * [b3497c8] debian/auctex.postinst: Fix incorrect space quoting.
    Thanks to Baruch Siach, Michal Sojka (Closes: #675752)
  * [0cf8833] debian/auctex.postinst: Fix trigger iteration.
    Thanks to Michal Sojka (Closes: #686366)
  * [2a9f28c] debian/auctex.triggers: Update paths for TeX Live >= 2012.
    Thanks to Julian Gilbey, Norbert Preining (Closes: #681481)
  * [33a2b04] debian/po: Update es.po.
    Thanks to Omar Campagne (Closes: #673627)
  * [a2c3dd6] debian/po: Add sk.po.
    Thanks to Ivan Masár (Closes: #681530)
  * [ec38128] Acknowledge NMU 11.86-10.1

 -- Davide G. M. Salvetti <salve@debian.org>  Tue, 20 Nov 2012 15:45:49 +0100

auctex (11.86-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Spanish; (Omar Campagne).  Closes: #673627
    - Slovak (Ivan Masár).  Closes: #681530

 -- Christian Perrier <bubulle@debian.org>  Tue, 17 Jul 2012 19:19:03 -0600

auctex (11.86-10) unstable; urgency=low

  * [2d4945b] Add emacs-snapshot GNU Emacs flavor (again)
    Thanks to Brendan Halpin, Rafael Laboissiere, Sven Joachim (Closes: #657761)
  * [b263f72] debian/po: Update da.po.
    Thanks to Joe Dalton (Closes: #656684)
  * [1b4f479] debian/po: Add pl.po.
    Thanks to Michał Kułach (Closes: #664651)
  * [5171116] debian/po: Upgrade cs.po.
    Thanks to Miroslav Kure (Closes: #665364)
  * [d35fcea] Upgrade Standards-Version to 3.9.3

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 30 Mar 2012 22:30:41 +0200

=== debian/control ===
Source: auctex
Priority: optional
Section: tex
Maintainer: Davide G. M. Salvetti <salve@debian.org>
Uploaders: OHURA Makoto <ohura@debian.org>
Standards-Version: 3.9.6
Build-Depends-Indep: debhelper (>= 8), emacs24 | emacs-snapshot, eperl, ghostscript, po-debconf, tex-common (>= 4.01), texlive-latex-base, texinfo (>= 5)
Homepage: http://www.gnu.org/software/auctex/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/salve/auctex.git;a=summary
Vcs-Git: git://anonscm.debian.org/users/salve/auctex.git

Package: auctex
Architecture: all
Depends: emacs24 | emacs-snapshot, emacsen-common (>= 2.0.8), preview-latex-style, ${misc:Depends}
Recommends: ghostscript, texlive-latex-recommended, xpdf | evince | evince-gtk
Suggests: catdvi, dvipng, lacheck
Breaks: emacspeak (<= 17.0-1)
Conflicts: preview-latex
Replaces: preview-latex
Provides: preview-latex
Description: integrated document editing environment for TeX etc.
 AUCTeX is a comprehensive customizable integrated environment for writing
 input files for TeX/LaTeX/ConTeXt/Texinfo using GNU Emacs.  Currently
 XEmacs ships with its own AUCTeX version.
 .
 It supports processing source files by running TeX and related tools
 (such as output filters, post processors for generating indices and
 bibliographies, and viewers) from inside Emacs.  AUCTeX allows browsing
 through the errors reported by TeX, while it moves the cursor directly to
 the reported error, and displays some documentation for that particular
 error.  This will even work when the document is spread over several
 files.
 .
 AUCTeX can automatically indent LaTeX source, either line by line or for
 an entire document, and has a special outline feature which can greatly
 assist in getting an overview of a document.
 .
 AUCTeX is written entirely in Emacs Lisp, and may therefore be enhanced
 with new features for specific needs.  It comes with a large range of
 handy Emacs macros.  It is a GNU project, and documentation for all its
 features is accessible via the Emacs info browser.

Package: preview-latex-style
Architecture: all
Depends: ${misc:Depends}
Breaks: preview-latex (<=0.7.3-2)
Homepage: http://www.gnu.org/software/auctex/preview-latex.html
Description: extraction of elements from LaTeX documents as graphics
 The purpose of preview is the extraction of selected elements from a
 LaTeX source, like formulas or graphics, into separate pages of a DVI
 file.  A flexible and convenient interface allows it to specify what
 commands and constructs should be extracted.  This works with DVI files
 postprocessed by either Dvips and Ghostscript or dvipng, but it also
 works when using PDFTeX for generating PDF files.
 .
 Currently, preview.sty is used by preview-latex, the WYSIWYG component of
 the AUCTeX editing environment; for generation of previews in LyX; as
 part of the operation of the ps4pdf and pst-pdf LaTeX packages; by the
 tbook XML system and some other tools.

=== debian/rules ===
#! /usr/bin/make -f
#
# makefile rules for the Debian package auctex
#
# Copyright (C) 1997, 98, 99, 2000, 01, 02, 03, 04, 05, 06, 07, 08, 09, 10,
# 11, 12 Davide G. M. Salvetti.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# On Debian GNU/Linux System you can find a copy of the GNU General Public
# License in "/usr/share/common-licenses/GPL".

SHELL := /bin/bash

EPERL_SRC := $(wildcard debian/*.eperl)
EPERL_OBJ := $(EPERL_SRC:%.eperl=%)

debian/clean: $(EPERL_OBJ)
	echo $(filter-out debian/copyright debian/rules \
		debian/auctex.templates, $(EPERL_OBJ)) \
		debian/auctex.templates.dcobj \
		debian/clean > debian/clean

%:: %.eperl
	eperl -P -o $@ $<

build: debian/clean
	dh $@ --exclude .eperl --with tex

ELCC := $(shell pwd)/debian/elcc
.PHONY: override_dh_auto_build
override_dh_auto_build:
	chmod a+x debian/elcc
	$(MAKE) ELCC=$(ELCC)
	rm --force auto-loads.el
	$(MAKE) auto-loads.el
	$(MAKE) tex-site.el
	cd doc && $(MAKE) auctex.htmls/index.html
	cd doc && $(MAKE) preview-latex.htmls/index.html

%:
	dh $@ --exclude .eperl --with tex

.PHONY: override_dh_install
override_dh_install:
	find debian/tmp/usr/share/emacs/site-lisp -type f -name \*.elc \
		-print0 | xargs --null --no-run-if-empty rm -f
	dh_install

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	cd preview/latex && $(MAKE) DESTDIR=../../debian/tmp install

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress --exclude=.pdf

.PHONY: override_dh_installdocs
override_dh_installdocs:
	install -m 755 -d debian/tmp/usr/doc/auctex/src
	install -m 644 doc/tex-ref.pdf debian/tmp/usr/doc/auctex
	install -m 644 doc/*.tex{,i} debian/tmp/usr/doc/auctex/src
	install -m 755 -d \
		debian/tmp/usr/doc/auctex/HTML/{auctex,preview-latex}
	install -m 644 doc/auctex.htmls/* \
		debian/tmp/usr/doc/auctex/HTML/auctex
	install -m 644 doc/preview-latex.htmls/* \
		debian/tmp/usr/doc/auctex/HTML/preview-latex
	cd preview; for i in ChangeLog*; do \
		install -m 644 $$i \
		../debian/tmp/usr/doc/auctex/preview-$$i; \
	done
	dh_installdocs

.PHONY: override_dh_installtex
override_dh_installtex:
	dh_installtex --package=preview-latex-style

debian/po/templates.pot: debian/auctex.templates debian/po/*.po
	umask 0022 && debconf-updatepo --verbose --podir=debian/po
	@touch $@

%.dcobj: % debian/po/templates.pot
	po2debconf --verbose --podir debian/po $< > $@

.PHONY: debconf-test
debconf-test: debian/auctex.templates.dcobj debian/auctex.config
	debconf-loadtemplate auctex \
		debian/auctex.templates.dcobj
	DEBCONF_DEBUG=developer debconf --owner=auctex \
		--frontend=dialog --priority=low \
		$(SHELL) -e debian/auctex.config configure

.PHONY: debconf-ask-for-translations
debconf-ask-for-translations: debian/auctex.templates.dcobj
	podebconf-report-po --verbose --gzip \
		 --call --withtranslators --languageteam \
		--package=auctex --deadline='+7days' \
		--from='"Davide G. M. Salvetti (Debian auctex maintainer)" <salve@debian.org>' \
		--postpone=../+RFT.mbox

.PHONY: cvs-import
cvs-import: VERSION := 11.86+cvs.$(shell date +%Y.%m.%d.%H.%M)
cvs-import:
	cd .. && cvs -z3 \
		-d:ext:salve@cvs.savannah.gnu.org:/sources/auctex \
		export -d auctex_$(VERSION) -D $$(date +%F) auctex
	find ../auctex_$(VERSION) -type f -name .cvsignore -print0 \
		| xargs --null --no-run-if-empty rm --force
	cd ../auctex_$(VERSION) && ./autogen.sh
	tar --create --verbose --auto-compress \
		--file=../auctex_$(VERSION).orig.tar.gz \
		--directory=.. auctex_$(VERSION)
	rm --recursive --force ../auctex_$(VERSION)
	git-import-orig --verbose \
		--upstream-branch=cvs/upstream \
		--debian-branch=cvs/master \
		../auctex_$(VERSION).orig.tar.gz
	rm --force ../auctex_$(VERSION).orig.tar.gz

.PHONY: snapshot
snapshot: BRANCH := $(shell git branch | perl -ne 'print if s/^\* //')
snapshot:
	git-dch --debian-branch=$(BRANCH) --snapshot --auto --commit
	git-buildpackage -tc -us -uc --git-pbuilder --git-tag \
		--git-debian-branch=$(BRANCH)

.PHONY: release
release:
	git checkout master
	gbp-pq rebase
	gbp-pq export
	git-dch --release --commit
	git-buildpackage -tc --git-pbuilder --git-tag

=== debian/watch ===
version=3
http://ftp.gnu.org/pub/gnu/auctex/auctex-([0-9.]+)\.tar\.gz

## auctex 11.88

=== debian/changelog ===
auctex (11.88-1.1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - drop emacs23, default to emacs24.
    - debian/control:
      + Recommend xdg-utils.
      + Recommend evince (main) instead of xpdf (universe).
    - debian/patches/use-xdg-open.patch: use xdg-open instead of hard-coded
      xpdf.
    - debian/patches/use-firefox.patch: use firefox instead of hard-coded
      'netscape'.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 19 Nov 2015 14:17:50 +0000

auctex (11.88-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use interest-nowait triggers for files in /usr/share (closes: #772873).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 02 Jan 2015 18:14:08 +0000

auctex (11.88-1ubuntu1) vivid; urgency=medium

  * Merge from debian, remaining changes:
    - drop emacs23, default to emacs24.
    - debian/control:
      + Recommend xdg-utils.
      + Recommend evince (main) instead of xpdf (universe).
    - debian/patches/use-xdg-open.patch: use xdg-open instead of hard-coded
      xpdf.
    - debian/patches/use-firefox.patch: use firefox instead of hard-coded
      'netscape'.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sat, 06 Dec 2014 16:40:59 +0000

auctex (11.88-1) unstable; urgency=medium

  * [9129986] Imported Upstream version 11.88
    (Closes: #686114, #693418, #708550, #712889)
  * [4a29f1d] debian/copyright: Update for new upstream release
  * [a5a9f3f] debian/patches: Synchronize with new upstream release
  * [eef8665] Add patch: Add new TeX-file-line-error option
    (Closes: #514431, #628790, #685252, #695282)
  * [7251f44] debian/auctex.NEWS: Update for new upstream release
  * [4957daf] debian/rules (release): Defer signing dsc and changes files
  * [d46b78d] debian/rules (upload): New target
  * [a3e1f95] debian/rules (snapshot): Do not tag snapshots by default
  * [692b62c] debian/control (Recommends): Add "okular" as an alternative
    to "xpdf"

 -- Davide G. M. Salvetti <salve@debian.org>  Sat, 01 Nov 2014 21:06:26 +0100

auctex (11.87-1ubuntu2) trusty; urgency=low

  * Drop emacs23 from [build-]depends, default to emacs24.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Thu, 07 Nov 2013 10:39:56 +0000

auctex (11.87-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Recommend xdg-utils.
      + Recommend evince (main) instead of xpdf (universe).
    - debian/patches/use-xdg-open.patch: use xdg-open instead of hard-coded
      xpdf.
    - debian/patches/use-firefox.patch: use firefox instead of hard-coded
      'netscape'.

 -- Logan Rosen <logatronico@gmail.com>  Sun, 06 Jan 2013 02:41:22 -0500

auctex (11.86-11ubuntu1) raring; urgency=low

  * Merge from Debian unstable (LP: #987711). Remaining changes:
    - Recommend xdg-utils.
    - debian/patches/use-xdg-open.patch: use xdg-open instead of hard-coded
      xpdf.
    - debian/patches/use-firefox.patch: use firefox instead of hard-coded
      'netscape'.
    - debian/control: drop the "Vcs-Bzr" field as we're using
      lp:ubuntu/auctex.
    - Recommend evince (main) instead of xpdf (universe).

 -- Logan Rosen <logatronico@gmail.com>  Thu, 22 Nov 2012 21:35:08 -0500

auctex (11.86-2ubuntu2) quantal; urgency=low

  * Recommend evince (main) instead of xpdf (universe).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Sep 2012 22:37:42 +0200

auctex (11.86-2ubuntu1) natty; urgency=low

  [ Lorenzo De Liso ]
  * Merge from debian unstable (LP: #670942, #531680), remaining changes:
    - Follow Ubuntu Maintainer spec.
    - Recommend xdg-utils LP: #442467
  * debian/patches/use-xdg-open.patch: use xdg-open instead of hard-coded 
    xpdf, LP: #379874
  * debian/patches/use-firefox.patch: use firefox instead of hard-coded 
    'netscape'
  * debian/control: drop the "Vcs-Bzr" field as we're using lp:ubuntu/auctex
  * Dropped changes:
    - drop dependency on texlive-base-bin. It was included for lp #148469, but
      the current maintainer scripts no longer seem to use it: this change
      was documented but never applied

  [ Reinhard Tartler ]
  * Add patch documentation for use-xdg-open.patch and use-firefox.patch

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 04 Nov 2010 16:08:19 +0100

auctex (11.85-1ubuntu1) lucid; urgency=low

  * Merge from debian/squeeze. remaining changes:
    - Follow Ubuntu Maintainer spec.
    - use xdg-open instead of hard-coded xpdf,  LP: #379874
    - use firefox instead of hard-coded 'mozilla'
  * drop dependency on texlive-base-bin. It was included for lp #148469, but
    the current maintainer scripts no longer seem to use it.
  * recommend xdg-utils instead of xdg-open, LP: #442467
  * new upstream version fixes:
     - "Preview of doc that includes PDF". LP: #439463
       Closed based on information from bug submitter
     - Some parsing defects. LP: #240135
       At least the shown example does not show the defect anmore 

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 05 Nov 2009 08:42:04 +0100

auctex (11.84-0ubuntu3) karmic; urgency=low

  * use xdg-open instead of hard-coded,  LP: #379874
  * add dependency alternative on emacs23, LP: #434688

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 28 Sep 2009 20:51:08 +0000

auctex (11.84-0ubuntu2) intrepid; urgency=low

  * Drop "xpdf-reader | pdf-viewer" recommends altogether. xpdf is in main,
    and we already install a PDF viewer in all Ubuntu flavours.
  * While I was at it, replace "gs-gpl | gs" with "ghostscript".

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 17 Oct 2008 17:13:44 +0200

auctex (11.84-0ubuntu1) hardy; urgency=low

  * Upload to hardy. Freeze exception granted in LP: #103631

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 21 Mar 2008 14:54:04 +0100

auctex (11.84-0ubuntu1~ppa2) gutsy; urgency=low

  * Merge changes from 11.83-7ubuntu1:
    - Add missing depends on texlive-base-bin so that the postrm does not
      fail on missing mktexlsr (LP: #148469).



=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: auctex
 Priority: optional
 Section: tex
-Maintainer: Davide G. M. Salvetti <salve@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Davide G. M. Salvetti <salve@debian.org>
 Uploaders: OHURA Makoto <ohura@debian.org>
 Standards-Version: 3.9.6
 Build-Depends-Indep: debhelper (>= 8), emacs24 | emacs-snapshot, eperl, ghostscript, po-debconf, tex-common (>= 4.01), texlive-latex-base, texinfo (>= 5)
@@ -12,7 +13,7 @@
 Package: auctex
 Architecture: all
 Depends: emacs24 | emacs-snapshot, emacsen-common (>= 2.0.8), preview-latex-style, ${misc:Depends}
-Recommends: ghostscript, texlive-latex-recommended, xpdf | evince | evince-gtk
+Recommends: ghostscript, texlive-latex-recommended, evince | xpdf | evince-gtk | okular, xdg-utils
 Suggests: catdvi, dvipng, lacheck
 Breaks: emacspeak (<= 17.0-1)
 Conflicts: preview-latex

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,7 @@
 #
 # makefile rules for the Debian package auctex
 #
-# Copyright (C) 1997, 98, 99, 2000, 01, 02, 03, 04, 05, 06, 07, 08, 09, 10,
-# 11, 12 Davide G. M. Salvetti.
+# Copyright (C) 1997-2014 Davide G. M. Salvetti.
 #
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by the
@@ -134,7 +133,7 @@
 snapshot: BRANCH := $(shell git branch | perl -ne 'print if s/^\* //')
 snapshot:
 	git-dch --debian-branch=$(BRANCH) --snapshot --auto --commit
-	git-buildpackage -tc -us -uc --git-pbuilder --git-tag \
+	git-buildpackage -tc -us -uc --git-pbuilder \
 		--git-debian-branch=$(BRANCH)
 
 .PHONY: release
@@ -143,4 +142,11 @@
 	gbp-pq rebase
 	gbp-pq export
 	git-dch --release --commit
-	git-buildpackage -tc --git-pbuilder --git-tag
+	git-buildpackage -tc -us -uc --git-pbuilder --git-tag
+
+.PHONY: upload
+upload: V := $(shell dpkg-parsechangelog --show-field Version)
+upload: A := $(shell dpkg --print-architecture)
+upload:
+	debsign
+	dput ../auctex_$(V)_$(A).changes

## auctex 11.90

=== debian/changelog ===
auctex (11.90-2ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Recommend xdg-utils.
      + Recommend evince (main) instead of xpdf (universe).
    - debian/patches/use-xdg-open.patch: use xdg-open instead of hard-coded
      xpdf.
    - debian/patches/use-firefox.patch: use firefox instead of hard-coded
      'netscape'.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Jul 2017 09:39:09 +0100

auctex (11.90-2) unstable; urgency=medium

  [ Davide G. M. Salvetti ]
  * [9572013] debian/rules (snapshot): Do not sign snapshots
  * [2b18f96] debian/watch: Check GPG signature
  * [60b3789] debian/COPYRIGHT: Update
  * [f794a56] debian/rules (SBUILD): Do not overquote

  [ Norbert Preining ]
  * [ec2ea9c] Add patch: Support new date format of LaTeX kernel in TL2017.
    Thanks to Markus Kohm

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 21 Jul 2017 14:14:32 +0200

auctex (11.90-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Recommend xdg-utils.
      + Recommend evince (main) instead of xpdf (universe).
    - debian/patches/use-xdg-open.patch: use xdg-open instead of hard-coded
      xpdf.
    - debian/patches/use-firefox.patch: use firefox instead of hard-coded
      'netscape'.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 19 Jan 2017 15:09:35 +0000

auctex (11.90-1) unstable; urgency=medium

  * [ca6576f] New upstream release 11.90
  * [1b78da3] debian/rules: Source only upload
  * [577e702] debian/copyright: Update
  * [6fcbd44] debian/auctex.NEWS: Update
  * [bea5d9c] Remove upstream merged patches
  * [9ae36c0] Refresh upstream patches
  * [178d053] Cope with missing upstream ChangeLog
  * [a853cd1] Add patch: Fix ConTeXt-outline-regexp.
    Thanks to Sanjoy Mahajan (Closes: #850444)

 -- Davide G. M. Salvetti <salve@debian.org>  Sat, 14 Jan 2017 00:23:32 +0100

auctex (11.89-1) unstable; urgency=medium

  * [da2e9d7] New upstream release 11.89
    Thanks to Norbert Preining, Rémi Vanicat (Closes: #838119)
  * [9b94e58] Remove upstream merged patches
  * [0eb2307] Refresh upstream patches
  * [01282cb] Adapt to preview to top-level merge
  * [678c0b9] debian/rules: Disable dh_auto_test
  * [baa9409] debian/copyright: Update
  * [c4958c4] debian/auctex.NEWS: Update

 -- Davide G. M. Salvetti <salve@debian.org>  Sun, 25 Dec 2016 23:59:59 +0100

auctex (11.88-2) unstable; urgency=medium

  * [1451bf3] Switch to debhelper compatibility level 9
  * [3541d2b] auctex.README.Debian (Contributed Files): Update
  * [fffa9ac] Drop emacs23, default to emacs24.
    Thanks to Lucas Nussbaum (Closes: #768724)
  * [9ab3f31] debian/rules: Update from cvs-import to vcs-import
  * [fe20d00] debian/changelog: Add entry for 11.87-3
  * [a9a134a] Add patch: Replace `read-string' with `TeX-read-string'
    (Closes: #120031)
  * [5a43770] Add patch: Add copyright notice to style/foils.el
  * [a629193] debian/copyright: Update
  * [d83b7f0] debian/auctex.triggers: Use interest-nowait.
    Thanks to Guillem Jover, Dimitri John Ledkov (Closes: #772873)
  * [da831a0] Aknowledge NMU 11.88-1.1.
    Thanks to Michael Gilbert
  * [46a411f] Aknowledge NMU 11.88-1.2.
    Thanks to Rémi Vanicat
  * [4e1e65a] Add emacs25 GNU Emacs flavor support.
    Thanks to Dan Torop (Closes: #841123)
  * [43bab91] debian/po: Update pt_BR.po.
    Thanks to Diego Neves (Closes: #823367)
  * [99b75c1] Fix building with `dpkg-buildpackage -A'
    Thanks to Santiago Vila, Rémi Vanicat (Closes: #839579)
  * [b2ccb87] Upgrade Standards-Version to 3.9.8.
    Thanks to Rémi Vanicat
  * [9ad2c74] Aknowledge NMU 11.88-1.3.
    Thanks to Rémi Vanicat
  * [fc2873f] debian/rules: Use sbuild instead of pbuilder
  * [86a0bf4] Add patch: style/subfigure.el: Fix nesting error.
    Thanks to Julian Gilbey (Closes: #846537)
  * [469d54d] debian/copyright: Use unique license names
  * [9f79e72] debian/control: Use secure uris in VCS fields
  * [747986f] debian/NEWS.Debian: Use regular paragraphs
  * [51a35ab] debian/*.README.Debian: Do not include timestamps

 -- Davide G. M. Salvetti <salve@debian.org>  Thu, 08 Dec 2016 21:12:49 +0100

auctex (11.88-1.3ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Recommend xdg-utils.
      + Recommend evince (main) instead of xpdf (universe).
    - debian/patches/use-xdg-open.patch: use xdg-open instead of hard-coded
      xpdf.
    - debian/patches/use-firefox.patch: use firefox instead of hard-coded
      'netscape'.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Dec 2016 15:29:16 +0100

auctex (11.88-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * auctex support for emacs25, thanks to Dan Torop (Closes: #841123).
  * update the Brazilian Portuguese Translation (Closes: #823367)
    thanks to Diego Neves.
  * Fix building with dpkg-buildpackage -A thanks to Santiago Vila
    (Closes: #839579).
  * Drop support for emacs23
  * Upgrade Standards-Version to 3.9.8 (no change).

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 25 Nov 2016 12:00:39 +0100

auctex (11.88-1.2ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - drop emacs23, default to emacs25.
    - debian/control:
      + Recommend xdg-utils.
      + Recommend evince (main) instead of xpdf (universe).
    - debian/patches/use-xdg-open.patch: use xdg-open instead of hard-coded
      xpdf.
    - debian/patches/use-firefox.patch: use firefox instead of hard-coded
      'netscape'.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 21 Nov 2016 13:33:52 +0000

auctex (11.88-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Bug fix: "FTBFS: build-dependency not installable: emacs23", thanks to
    Lucas Nussbaum (Closes: #768724).

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 23 Sep 2016 17:36:05 +0200

=== debian/rules ===
#! /usr/bin/make -f
#
# makefile rules for the Debian package auctex
#
# Copyright (C) 1997-2017 Davide G. M. Salvetti.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# On Debian GNU/Linux System you can find a copy of the GNU General Public
# License in "/usr/share/common-licenses/GPL".

SHELL := /bin/bash
SBUILD := sbuild --verbose

DEB_BUILD_OPTIONS := nocheck

EPERL_SRC := $(wildcard debian/*.eperl)
EPERL_OBJ := $(EPERL_SRC:%.eperl=%)

debian/clean: $(EPERL_OBJ)
	echo $(filter-out debian/copyright debian/rules \
		debian/auctex.templates, $(EPERL_OBJ)) \
		debian/auctex.templates.dcobj \
		debian/clean > debian/clean

%:: %.eperl
	eperl -P -o $@ $<

%:
	dh $@ --exclude .eperl --with tex

ELCC := $(shell pwd)/debian/elcc
.PHONY: override_dh_auto_build
override_dh_auto_build: debian/clean
	chmod -R a+rX debian/
	chmod a+x debian/elcc
	$(MAKE) ELCC=$(ELCC)
	rm --force auto-loads.el
	$(MAKE) auto-loads.el
	$(MAKE) tex-site.el
	cd doc && $(MAKE) auctex.htmls/index.html
	cd doc && $(MAKE) preview-latex.htmls/index.html

%:
	dh $@ --exclude .eperl --with tex

.PHONY: override_dh_install
override_dh_install:
	find debian/tmp/usr/share/emacs/site-lisp -type f -name \*.elc \
		-print0 | xargs --null --no-run-if-empty rm -f
	dh_install

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs --exclude CHANGES

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress --exclude=.pdf

.PHONY: override_dh_installdocs
override_dh_installdocs:
	install -m 755 -d debian/tmp/usr/doc/auctex/src
	install -m 644 doc/tex-ref.pdf debian/tmp/usr/doc/auctex
	install -m 644 doc/*.tex{,i} debian/tmp/usr/doc/auctex/src
	install -m 755 -d \
		debian/tmp/usr/doc/auctex/HTML/{auctex,preview-latex}
	install -m 644 doc/auctex.htmls/* \
		debian/tmp/usr/doc/auctex/HTML/auctex
	install -m 644 doc/preview-latex.htmls/* \
		debian/tmp/usr/doc/auctex/HTML/preview-latex
	dh_installdocs

.PHONY: override_dh_installtex
override_dh_installtex:
	dh_installtex --package=preview-latex-style

debian/po/templates.pot: debian/auctex.templates debian/po/*.po
	umask 0022 && debconf-updatepo --verbose --podir=debian/po
	@touch $@

%.dcobj: % debian/po/templates.pot
	po2debconf --verbose --podir debian/po $< > $@

.PHONY: debconf-test
debconf-test: debian/auctex.templates.dcobj debian/auctex.config
	debconf-loadtemplate auctex \
		debian/auctex.templates.dcobj
	DEBCONF_DEBUG=developer debconf --owner=auctex \
		--frontend=dialog --priority=low \
		$(SHELL) -e debian/auctex.config configure

.PHONY: debconf-ask-for-translations
debconf-ask-for-translations: debian/auctex.templates.dcobj
	podebconf-report-po --verbose --gzip \
		 --call --withtranslators --languageteam \
		--package=auctex --deadline='+7days' \
		--from='"Davide G. M. Salvetti (Debian auctex maintainer)" <salve@debian.org>' \
		--postpone=../+RFT.mbox

.PHONY: vcs-switch
vcs-switch:
	git checkout vcs/debian

.PHONY: vcs-import
vcs-import: B := $(shell dpkg-parsechangelog --show-field Version \
	| cut --fields 1 --delimiter '-')
vcs-import: D := $(shell date --utc +%Y%m%d%H%M)
vcs-import: V := "$(B)+vcs.$(D)"
vcs-import: vcs-switch
	git archive --verbose --worktree-attributes \
		--prefix="auctex-$(V)/" \
		--output="../auctex_$(V).orig.tar.gz" \
		vcs/upstream/git
	gbp import-orig --verbose \
		--upstream-branch=vcs/upstream/snapshot \
		--debian-branch=vcs/debian \
		"../auctex_$(V).orig.tar.gz"
	rm --force "../auctex_$(V).orig.tar.gz"

.PHONY: snapshot
snapshot: OBJ := --arch-all
snapshot: DIST := unstable
snapshot: BRANCH := $(shell git branch | perl -ne 'print if s/^\* //')
snapshot: clean
	gbp dch --debian-branch=$(BRANCH) --snapshot --auto --commit
	gbp buildpackage --keyid='' \
		--git-builder='$(SBUILD) $(OBJ) --dist=$(DIST)' \
		--git-debian-branch=$(BRANCH)

.PHONY: release
release: OBJ := --arch-all --arch-any --source --source-only-changes
release: DIST := unstable
release: clean
	git checkout master
	gbp pq rebase
	gbp pq export
	gbp dch --release --commit
	gbp buildpackage \
		--git-builder='$(SBUILD) $(OBJ) --dist=$(DIST)' \
		--git-tag

.PHONY: upload
upload: V := $(shell dpkg-parsechangelog --show-field Version)
upload:
	dput ../auctex_$(V)_source.changes

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.sig%" https://ftp.gnu.org/pub/gnu/@PACKAGE@/@PACKAGE@-([0-9.]+)\.tar\.gz

## auctex 11.91

=== tests/Makefile ===
# Copyright (C) 2010-2014, 2017 Free Software Foundation, Inc.

# This file is part of AUCTeX.

# GNU Emacs is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# GNU Emacs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.

### Commentary:

## Some targets:
## check: re-run all tests, writing to .log files.
## check-maybe: run all tests whose .log file needs updating
## filename.log: run tests from filename.el if .log file needs updating
## filename: re-run tests from filename.el, with no logging

## Adapted from test/Makefile.in of GNU Emacs.

### Code:

SHELL = /bin/sh

EMACS = emacs
# AUCTeX source directory.
SRCDIR = ".."

# Command line flags for Emacs.
EMACSOPT = -batch -L $(SRCDIR)

# Prevent any settings in the user environment causing problems.
unexport EMACSDATA EMACSDOC EMACSPATH

## To run tests under a debugger, set this to eg: "gdb --args".
GDB =

# The actual Emacs command run in the targets below.
# Prevent any setting of EMACSLOADPATH in user environment causing problems.
emacs = EMACSLOADPATH= LC_ALL=C $(GDB) "$(EMACS)" $(EMACSOPT)

.PHONY: all check

all: check

# In GNU Emacs there is a bashism here to direct output to file and to standard
# output at the same time.
WRITE_LOG = 2>&1 | tee $@

%.log: %.el
	$(emacs) -l ert -l $< -f ert-run-tests-batch-and-exit ${WRITE_LOG}

ELFILES = $(wildcard */*.el)
LOGFILES = $(patsubst %.el,%.log, ${ELFILES})
TESTS = ${LOGFILES:.log=}

## If we have to interrupt a hanging test, preserve the log so we can
## see what the problem was.
.PRECIOUS: %.log

.PHONY: ${TESTS}

## The short aliases that always re-run the tests, with no logging.
define test_template
$(1):
	@test ! -f $(1).log || mv $(1).log $(1).log~
	@${MAKE} $(1).log WRITE_LOG=
endef

$(foreach test,${TESTS},$(eval $(call test_template,${test})))

## Re-run all the tests every time.
check: mostlyclean check-doit

.PHONY: check-doit
check-doit: ${LOGFILES}
	$(emacs) -l ert -f ert-summarize-tests-batch-and-exit $^

.PHONY: mostlyclean clean

mostlyclean:
	-@for f in ${LOGFILES}; do test ! -f $$f || mv $$f $$f~; done

clean:
	-rm -f */*.log */*.log~

# Makefile ends here.

=== debian/changelog ===
auctex (11.91-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Recommend xdg-utils.
      + Recommend evince (main) instead of xpdf (universe).
    - debian/patches/use-xdg-open.patch: use xdg-open instead of hard-coded
      xpdf.
    - debian/patches/use-firefox.patch: use firefox instead of hard-coded
      'netscape'.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 16 Nov 2017 05:59:20 +0000

auctex (11.91-1) unstable; urgency=medium

  * [58672fd] Remove files autogenerated from vcs sources
  * [2cef0af] Add vcs sources not included in the dist tarball
  * [c70e928] Autogenerate dist files from vcs retrieved sources
  * [63f910b] debian/auctex.NEWS: Update
  * [f2e6e8d] debian/rules: Also add AUCTeX logo
  * [678e170] Remove upstream merged patches
  * [8b9473d] Adapt upstream patches to DEP-3
  * [8382326] Refresh upstream patches
  * [a831c6c] debian/rules (snapshot): Log changes from latest Debian release
  * [817332f] debian/rules (snapshot, release): Do not use pristine-tar
  * [da111ff] debian/rules (snapshot, release): Clean untracked files
  * [d679fe4] debian/copyright (Format): Use the https url form
  * [4525215] debian/control (Standards-Version): Upgrade to 4.0.1
  * [5625973] Watch vcs repository
  * [04db040] debian/rules: Override dh_auto_test
  * [753785a] debian/rules: Use dpkg pkg-info Makefile library
  * [10e4982] debian/auctex.triggers: Use noawait variants

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 11 Aug 2017 10:22:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Davide G. M. Salvetti <salve@debian.org>
 Uploaders: OHURA Makoto <ohura@debian.org>
-Standards-Version: 3.9.6
-Build-Depends-Indep: debhelper (>= 8), emacs24 | emacs-snapshot, eperl, ghostscript, po-debconf, tex-common (>= 4.01), texlive-latex-base, texinfo (>= 5)
-Homepage: http://www.gnu.org/software/auctex/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/salve/auctex.git;a=summary
-Vcs-Git: git://anonscm.debian.org/users/salve/auctex.git
+Standards-Version: 4.0.1
+Build-Depends-Indep: autoconf, debhelper (>= 9), emacs25 | emacs24 | emacs-snapshot, eperl, ghostscript, po-debconf, tex-common (>= 4.01), texlive-latex-base, texinfo (>= 5)
+Homepage: https://www.gnu.org/software/auctex/
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=users/salve/auctex.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/users/salve/auctex.git
 
 Package: auctex
 Architecture: all
-Depends: emacs24 | emacs-snapshot, emacsen-common (>= 2.0.8), preview-latex-style, ${misc:Depends}
+Depends: emacs25 | emacs24 | emacs-snapshot, emacsen-common (>= 2.0.8), preview-latex-style, ${misc:Depends}
 Recommends: ghostscript, texlive-latex-recommended, evince | xpdf | evince-gtk | okular, xdg-utils
 Suggests: catdvi, dvipng, lacheck
 Breaks: emacspeak (<= 17.0-1)

=== debian/rules ===
--- 
+++ 
@@ -20,10 +20,10 @@
 # On Debian GNU/Linux System you can find a copy of the GNU General Public
 # License in "/usr/share/common-licenses/GPL".
 
+include /usr/share/dpkg/pkg-info.mk
+
 SHELL := /bin/bash
 SBUILD := sbuild --verbose
-
-DEB_BUILD_OPTIONS := nocheck
 
 EPERL_SRC := $(wildcard debian/*.eperl)
 EPERL_OBJ := $(EPERL_SRC:%.eperl=%)
@@ -40,6 +40,11 @@
 %:
 	dh $@ --exclude .eperl --with tex
 
+.PHONY: override_dh_auto_configure
+override_dh_auto_configure: debian/clean
+	./autogen.sh
+	dh_auto_configure
+
 ELCC := $(shell pwd)/debian/elcc
 .PHONY: override_dh_auto_build
 override_dh_auto_build: debian/clean
@@ -52,8 +57,8 @@
 	cd doc && $(MAKE) auctex.htmls/index.html
 	cd doc && $(MAKE) preview-latex.htmls/index.html
 
-%:
-	dh $@ --exclude .eperl --with tex
+.PHONY: override_dh_auto_test
+override_dh_auto_test:
 
 .PHONY: override_dh_install
 override_dh_install:
@@ -74,6 +79,7 @@
 	install -m 755 -d debian/tmp/usr/doc/auctex/src
 	install -m 644 doc/tex-ref.pdf debian/tmp/usr/doc/auctex
 	install -m 644 doc/*.tex{,i} debian/tmp/usr/doc/auctex/src
+	install -m 644 etc/auctex-logo.tex debian/tmp/usr/doc/auctex/src
 	install -m 755 -d \
 		debian/tmp/usr/doc/auctex/HTML/{auctex,preview-latex}
 	install -m 644 doc/auctex.htmls/* \
@@ -114,10 +120,8 @@
 	git checkout vcs/debian
 
 .PHONY: vcs-import
-vcs-import: B := $(shell dpkg-parsechangelog --show-field Version \
-	| cut --fields 1 --delimiter '-')
 vcs-import: D := $(shell date --utc +%Y%m%d%H%M)
-vcs-import: V := "$(B)+vcs.$(D)"
+vcs-import: V := "$(DEB_VERSION_UPSTREAM)+vcs.$(D)"
 vcs-import: vcs-switch
 	git archive --verbose --worktree-attributes \
 		--prefix="auctex-$(V)/" \
@@ -133,9 +137,12 @@
 snapshot: OBJ := --arch-all
 snapshot: DIST := unstable
 snapshot: BRANCH := $(shell git branch | perl -ne 'print if s/^\* //')
+snapshot: LAST := $(shell git describe --abbrev=0 --match 'debian/*' master)
 snapshot: clean
-	gbp dch --debian-branch=$(BRANCH) --snapshot --auto --commit
+	git clean -ix
+	gbp dch --debian-branch=$(BRANCH) --snapshot --since $(LAST) --commit
 	gbp buildpackage --keyid='' \
+		--git-no-pristine-tar \
 		--git-builder='$(SBUILD) $(OBJ) --dist=$(DIST)' \
 		--git-debian-branch=$(BRANCH)
 
@@ -143,15 +150,17 @@
 release: OBJ := --arch-all --arch-any --source --source-only-changes
 release: DIST := unstable
 release: clean
+	git clean -ix
 	git checkout master
 	gbp pq rebase
 	gbp pq export
 	gbp dch --release --commit
 	gbp buildpackage \
+		--git-no-pristine-tar \
+		--git-pristine-tar-commit \
 		--git-builder='$(SBUILD) $(OBJ) --dist=$(DIST)' \
 		--git-tag
 
 .PHONY: upload
-upload: V := $(shell dpkg-parsechangelog --show-field Version)
 upload:
-	dput ../auctex_$(V)_source.changes
+	dput ../auctex_$(DEB_VERSION)_source.changes

## auctex 12.2

=== debian/changelog ===
auctex (12.2-1ubuntu1) devel; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Recommend xdg-utils.
      + Recommend evince (main) instead of xpdf (universe).
    - d/p/use-xdg-open.patch: use xdg-open instead of hard-coded 'xpdf'.
    - d/p/use-firefox.patch: use firefox instead of hard-coded 'netscape'.
  * Dropped changes:
    - Build-Depends on texlive-extra-utils (applied upstream).

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 20 Apr 2021 10:20:49 +0200

auctex (12.2-1) unstable; urgency=medium

  * [0c6b2de] New upstream release 12.2
    Thanks to Benjamin Redelings, Itaï BEN YAACOV, Sanjoy Mahajan (Closes: #63513, #702871, #769977, #896844, #912438)
  * [79f0a28] Drop alternate recommends on dummy package evince-gtk.
    Thanks to Jeremy Bicha (Closes: #884360)
  * [7f3946b] Refresh upstream patches
  * [a25f788] debian/control (Build-Depends-Indep): Add texlive-extra-utils.
    Thanks to Lucas Nussbaum, Itaï BEN YAACOV (Closes: #951973)
  * [ebabf80] debian/auctex.lintian-ovverrides: Update according to 4.2.0 policy
  * [c5718d9] debian/po/de.po: Reencode in UTF-8
  * [cc9cf07] debian/compat: Update dh compatibility level to 12
  * [8541bc8] debian/control (Rules-Requires-Root): Declare no root need
  * [17f62ae] debian/control (Standards-Version): Upgrade to 4.5.0

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 21 Aug 2020 16:05:59 +0200

auctex (11.91-2ubuntu2) focal; urgency=medium

  * debian/control:
    - Build-Depends on texlive-extra-utils
      https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=951973

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 Apr 2020 21:23:07 +0200

auctex (11.91-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Recommend xdg-utils.
      + Recommend evince (main) instead of xpdf (universe).
    - debian/patches/use-xdg-open.patch: use xdg-open instead of hard-coded
      xpdf.
    - debian/patches/use-firefox.patch: use firefox instead of hard-coded
      'netscape'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jul 2019 17:07:57 +0200

auctex (11.91-2) unstable; urgency=medium

  * [f70e735] debian/update-auctex-elisp: Ensure correct file permissions
  * [0dd8709] Kill update-auctex-elisp instances at package remove time
    (Closes: #867020)
  * [d5869bc] Unset TMPFILE before setting trap
  * [317c70f] Repository migrated from Alioth to Salsa
  * [cf8438f] Install emacs sources in /usr/share/auctex/
  * [60a027d] Cater only for Debian Emacs flavor emacs.
    Thanks to Julian Gilbey, Agustin Martin, Nicolas Boulenguez, Ernest
    Adrogué, Francesco Potortì
    (Closes: #908081, #908231, #908691, #915327)

 -- Davide G. M. Salvetti <salve@debian.org>  Sat, 08 Dec 2018 18:42:21 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Davide G. M. Salvetti <salve@debian.org>
 Uploaders: OHURA Makoto <ohura@debian.org>
-Standards-Version: 4.0.1
-Build-Depends-Indep: autoconf, debhelper (>= 9), emacs25 | emacs24 | emacs-snapshot, eperl, ghostscript, po-debconf, tex-common (>= 4.01), texlive-latex-base, texinfo (>= 5)
+Standards-Version: 4.5.0
+Build-Depends-Indep: autoconf, debhelper (>= 9), emacs, eperl, ghostscript, po-debconf, tex-common (>= 4.01), texlive-latex-base, texlive-extra-utils, texinfo (>= 5)
+Rules-Requires-Root: no
 Homepage: https://www.gnu.org/software/auctex/
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=users/salve/auctex.git;a=summary
-Vcs-Git: https://anonscm.debian.org/git/users/salve/auctex.git
+Vcs-Browser: https://salsa.debian.org/salve/auctex
+Vcs-Git: https://salsa.debian.org//salve/auctex.git
 
 Package: auctex
 Architecture: all
-Depends: emacs25 | emacs24 | emacs-snapshot, emacsen-common (>= 2.0.8), preview-latex-style, ${misc:Depends}
-Recommends: ghostscript, texlive-latex-recommended, evince | xpdf | evince-gtk | okular, xdg-utils
+Depends: emacs, emacsen-common (>= 3.0.0), preview-latex-style, procps, ${misc:Depends}
+Recommends: ghostscript, texlive-latex-recommended, evince | xpdf | okular, xdg-utils
 Suggests: catdvi, dvipng, lacheck
 Breaks: emacspeak (<= 17.0-1)
 Conflicts: preview-latex

=== debian/rules ===
--- 
+++ 
@@ -64,6 +64,8 @@
 override_dh_install:
 	find debian/tmp/usr/share/emacs/site-lisp -type f -name \*.elc \
 		-print0 | xargs --null --no-run-if-empty rm -f
+	mv --verbose debian/tmp/usr/share/emacs/site-lisp/auctex \
+		debian/tmp/usr/share/
 	dh_install
 
 .PHONY: override_dh_installchangelogs

## auctex 13.2

=== tests/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 # GNU General Public License for more details.
 
 # You should have received a copy of the GNU General Public License
-# along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.
+# along with GNU Emacs.  If not, see <https://www.gnu.org/licenses/>.
 
 ### Commentary:
 
@@ -55,7 +55,8 @@
 WRITE_LOG = 2>&1 | tee $@
 
 %.log: %.el
-	$(emacs) -l ert -l $< -f ert-run-tests-batch-and-exit ${WRITE_LOG}
+	$(emacs) -l ert -l make-test-deps.emacs-lisp -l $< \
+	-f ert-run-tests-batch-and-exit ${WRITE_LOG}
 
 ELFILES = $(wildcard */*.el)
 LOGFILES = $(patsubst %.el,%.log, ${ELFILES})

=== debian/changelog ===
auctex (13.2-1) unstable; urgency=medium

  * [3c41e87] New upstream release 13.2
    Thanks to Amr Ibrahim, AlMa, Janusz S. Bień, Xiyue Deng, Marcelo Laia, Hilmar Preusse
    (Closes: #1028238, #1040484, #1042874, #1043257, #1053161, #1056160)
  * [4db638b] debian/patches: Remove upstream merged, rebase.
    Thanks to Xiyue Deng
  * [1bb5677] debian/patches: Add Use UTF-8, renumber.
    Thanks to lintian
  * [daf33b7] debian/{patches,rules}: Set timestamps to reproducible build.
    Thanks to Vagrant Cascadian (Closes: #990300)
  * [0fe85cf] debian/auctex.NEWS: Update for upstream releases from 11.92 to 12.2
  * [4599742] debian/auctex.NEWS: Update for upstream releases from 12.3 to 13.2
  * [a5fb566] debian/control (Build-Depends-Indep): Update debhelper compat level
  * [a0a3448] debian/control (Description): Remove no more needed XEmacs reference
  * [49e2340] debian/control: Remove constraints unnecessary since buster.
    Thanks to The Debian Janitor
  * [20df982] debian/control (Standards-Version): Upgrade to 4.6.2.
  * [82ac517] debian/control (Build-Depends-Indep): Add texlive-latex-recommended
  * [d00ad14] debian/control (Homepage): Use secure URI
  * [becd0da] debian/auctex.emacsen-install: Be verbose while byte compiling
  * [096b158] debian/auctex.{postinst,postrm,preinst}: Remove ancient cleanup code
  * [e87c8e7] debian/update-auctex-elisp: Disable font-lock while parsing macros
  * [5b8a070] debian/auctex.lintian-overrides: Transition to "pointed hints"
  * [7b08a2c] debian/auctex.lintian-overrides: Add upstream changelog override
  * [f70fea5] Refactor dh_installdocs related stuff
  * [598b51f] debian/po/ro.po: Romanian translation.
    Thanks to Remus-Gabriel Chelu (Closes: #1031145)
  * [1b37d3a] debian/{COPYRIGHT,copyright}: Update
  * [8b4ebe5] debian/changelog: Fix spelling

 -- Davide G. M. Salvetti <salve@debian.org>  Mon, 20 Nov 2023 23:59:01 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # makefile rules for the Debian package auctex
 #
-# Copyright (C) 1997-2017 Davide G. M. Salvetti.
+# Copyright (C) 1997-2023 Davide G. M. Salvetti.
 #
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by the Free
@@ -29,7 +29,7 @@
 EPERL_OBJ := $(EPERL_SRC:%.eperl=%)
 
 debian/clean: $(EPERL_OBJ)
-	echo $(filter-out debian/copyright debian/rules \
+	echo $(filter-out debian/rules \
 		debian/auctex.templates, $(EPERL_OBJ)) \
 		debian/auctex.templates.dcobj \
 		debian/clean > debian/clean
@@ -52,6 +52,7 @@
 	chmod a+x debian/elcc
 	$(MAKE) ELCC=$(ELCC)
 	rm --force auto-loads.el
+	touch --reference debian/changelog tex.el tex-site.el
 	$(MAKE) auto-loads.el
 	$(MAKE) tex-site.el
 	cd doc && $(MAKE) auctex.htmls/index.html
@@ -79,7 +80,6 @@
 .PHONY: override_dh_installdocs
 override_dh_installdocs:
 	install -m 755 -d debian/tmp/usr/doc/auctex/src
-	install -m 644 doc/tex-ref.pdf debian/tmp/usr/doc/auctex
 	install -m 644 doc/*.tex{,i} debian/tmp/usr/doc/auctex/src
 	install -m 644 etc/auctex-logo.tex debian/tmp/usr/doc/auctex/src
 	install -m 755 -d \
